---
title: Default Scan Execution Policy for new project with required license
description: Create default Scan Execution Policy for newly created project in namespace with Ultimate license
preparation:
- partial: preparation/new-project-with-single-ci-job
steps:
- partial: steps/001-go-to-security-compliance-and-click-policies
- partial: steps/002-click-on-new-policy-button
- partial: steps/003-click-on-scan-execution-policy-section
- partial: steps/general/fill-policy-name
  replace:
    POLICY_NAME: Test 001
- partial: steps/general/configure-with-a-merge-button
  replace:
    PROJECT_NAME: test-001
- partial: steps/general/merge
- partial: steps/general/run-pipeline
  replace:
    PROJECT_NAME: test-001
    BRANCH_NAME: main
- step: Click on `Run pipeline` button
  expected_results:
  - "`test-job` job is visible"
  - "`dast-on-demand-0` job is visible"
- step: Click on `dast-on-demand-0` job
  expected_results:
  - The job has `failed` status.
  - "`Error during On-Demand Scan execution: Dast site profile was not provided` error is visible in the job log"
video: videos/scan-execution-policies/001-enforce-default-scan-for-pipeline-for-all-branches.mp4
epics:
- https://gitlab.com/groups/gitlab-org/-/epics/5329
issues:
- https://gitlab.com/gitlab-org/gitlab/-/issues/321531
- https://gitlab.com/gitlab-org/gitlab/-/issues/324080
